Summary: PostScript interpreter and renderer
Name: ghostscript
Version: 5.10
Release: 6
Copyright: ALADDIN FREE PUBLIC LICENSE (Different from GPL)
Icon: ghost.gif
Group: Applications/Graphics
URL: http://www.cs.wisc.edu/~ghost/index.html
Vendor: Aladdin Enterprises
Packager: Eze Ogwuma <ghost@typhoon.dircon.co.uk>
Source0: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs510/ghostscript-5.10.tar.gz
Source1: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs510/ghostscript-5.10gnu.tar.gz
Source2: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs510/ghostscript-5.10jpeg.tar.gz
Source3: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs510/ghostscript-5.10libpng.tar.gz
Source4: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs510/ghostscript-5.10zlib.tar.gz
Source5: ftp://bonk.ethz.ch/gs-driver-distrib/hp8xxs13.zip
Source6: ftp://bonk.ethz.ch/gs-driver-distrib/hp8xxs13.txt
Source7: ftp://ftp.ig.utexas.edu/outgoing/scottk/820C/gdev820c-0.1.3.tar
Source8: ftp://ftp.pdb.sni.de/pub/utilities/misc/hpdj-2.4.tar.gz
Source9: ghostscript-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.README
Patch0: gs5.10-linux.patch
Patch1: devs.mak-5.10.diff
Patch2: zmedia2.c.diff
Patch3: devs.mak-hp8xxs13.patch
Patch4: post510-1.patch
Patch5: post510-2.patch
Patch6: post510-3.patch
Patch7: post510-4.patch
Patch8: post510-5.patch
Patch9: post510-6.patch
Buildroot: /tmp/ghostscript-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Prefix: /usr
Requires: ghostscript-fonts-std

%description 
** Read the ghostscript-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.README file for installation hints.

This software is distributed under a license that differs
from the GPL. Read the file PUBLIC for details. 

Ghostscript is the name of a set of software that provides:

        - An interpreter for the PostScript (TM) language and the
Adobe Portable Document Format (PDF -- sometimes confused with
Acrobat, Adobe's PDF browser/editor product), and

        - A set of C procedures (the Ghostscript library) that
implement the graphics and filtering (data compression / decompression
/ conversion) capabilities that appear as primitive operations in the
PostScript language and in PDF

Aladdin Ghostscript is distributed with NO WARRANTY OF ANY KIND.  No
author or distributor accepts any responsibility for the consequences
of using it, or for whether it serves any particular purpose or works
at all, unless he or she says so in writing.  Refer to the Aladdin
Ghostscript Free Public License (the "License") for full details

%changelog

* Sat Jul 04 1998 Eze Ogwuma <ghost@typhoon.dircon.co.uk>

Updated the README file

Updated the SPEC file

* Tue Jun 30 1998 Eze Ogwuma <ghost@typhoon.dircon.co.uk>

Added hp8xxs13.txt to the hp8xxs13-docs directory.

Changed package header.

* Mon Jun 29 1998 Eze Ogwuma <ghost@typhoon.dircon.co.uk>

Added True Type font support and MS-DOS epsf recognition.

* Sat Jun 27 1998 Eze Ogwuma <ghost@typhoon.dircon.co.uk>

Added June 26 post 5.10 release patch.

* Fri Jun 26 1998 Eze Ogwuma <ghost@typhoon.dircon.co.uk>

Updated hpdj to v2.4 and hp850 to latest hp8xxs13.

Removed patch file for hp850.

Added macro to SPEC file to handle post release patches

Added post 5.10 release patches.

%post 
if [ -f /tmp/pdf_sec.ps ];
then	
	 if [ -w /usr/local/share/ghostscript/extras ];
	then
		cp /tmp/pdf_sec.ps /usr/local/share/ghostscript/extras
		echo "
The file pdf_sec.ps has been placed in the directory 
/usr/local/share/ghostscript/extras
"
	fi
fi

%prep
%setup -n gs%{PACKAGE_VERSION}
%setup -T -D -b 1 -n gs%{PACKAGE_VERSION}
%setup -T -D -a 2 -n gs%{PACKAGE_VERSION}

%setup -T -D -a 3 -n gs%{PACKAGE_VERSION}
mv libpng-0.96 libpng

%setup -T -D -a 4 -n gs%{PACKAGE_VERSION}
mv zlib-1.0.4 zlib

mkdir hp8xxs13-docs
unzip -a $RPM_SOURCE_DIR/hp8xxs13.zip -d hp8xxs13-docs
mv hp8xxs13-docs/{gdevcd8.*,*.dev} .
rm -f hp8xxs13-docs/devs.mak
cp -f $RPM_SOURCE_DIR/hp8xxs13.txt hp8xxs13-docs

%setup -T -D -a 7 -c -n gs%{PACKAGE_VERSION}/hp820-docs
cd $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}
mv hp820-docs/gdev820c.c .

%setup -T -D -a 8 -n gs%{PACKAGE_VERSION}
tar -xvvf $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/hpdj-2.4/hpdj.tar -C $RPM_BUILD_DIR/gs%{PACKAGE_VERSION}/hpdj-2.4

mv hpdj-2.4/*.{c,h,1} .
rm -f hpdj-2.4/{*.diff,hpdj.tar,hpdj.tar.pgp,README}
mv hpdj-2.4 hpdj-docs

%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0

# Define a new macro because patch can't handle -l
%define mypatch patch -s -l -p0 < $RPM_SOURCE_DIR/
%{mypatch}post510-1.patch
%{mypatch}post510-2.patch
%{mypatch}post510-3.patch
%{mypatch}post510-4.patch
%{mypatch}post510-5.patch
%{mypatch}post510-6.patch

%build
##
## Drivers
##  
## To add or remove drivers edit the appropriate DEVICE_DEVS line.
## See the file devs.mak in the source directory for details of the 
## drivers. To delete a line entirely set it to D<n>=DEVICE_DEVS<n>=
##


D=DEVICE_DEVS="x11.dev x11alpha.dev x11cmyk.dev x11gray2.dev x11mono.dev"
D1=DEVICE_DEVS1="lvga256.dev vgalib.dev"
D2=DEVICE_DEVS2="eps9high.dev eps9mid.dev epson.dev epsonc.dev ibmpro.dev lq850.dev"
D3=DEVICE_DEVS3="deskjet.dev djet500.dev laserjet.dev ljetplus.dev ljet2p.dev ljet3.dev ljet3d.dev ljet4.dev djet820c.dev"
D4=DEVICE_DEVS4="cdeskjet.dev cdjcolor.dev cdjmono.dev cdj500.dev cdj550.dev cdj670.dev cdj850.dev cdj890.dev cdj1600.dev djet500c.dev dnj650c.dev pj.dev pjxl.dev pjxl300.dev hpdj.dev"
D5=DEVICE_DEVS5="uniprint.dev"
D6=DEVICE_DEVS6="bj10e.dev bj200.dev bjc600.dev bjc800.dev cp50.dev jetp3852.dev st800.dev stcolor.dev tek4696.dev"
D7=DEVICE_DEVS7="faxg3.dev faxg32d.dev faxg4.dev dfaxhigh.dev dfaxlow.dev"
D8=DEVICE_DEVS8="pcxmono.dev pcxgray.dev pcx16.dev pcx256.dev pcx24b.dev pcxcmyk.dev"
D9=DEVICE_DEVS9="pbm.dev pbmraw.dev pgm.dev pgmraw.dev pgnm.dev pgnmraw.dev pnm.dev pnmraw.dev ppm.dev ppmraw.dev"
D10=DEVICE_DEVS10="tiffcrle.dev tiffg3.dev tiffg32d.dev tiffg4.dev tifflzw.dev tiffpack.dev"
D11=DEVICE_DEVS11="tiff12nc.dev tiff24nc.dev bmpmono.dev bmp16.dev bmp256.dev bmp16m.dev"
D12=DEVICE_DEVS12="psmono.dev psgray.dev bit.dev bitrgb.dev bitcmyk.dev"
D13=DEVICE_DEVS13="pngmono.dev pnggray.dev png16.dev png256.dev png16m.dev"
D14=DEVICE_DEVS14="jpeg.dev jpeggray.dev cgmmono.dev cgm8.dev cgm24.dev sgirgb.dev"
D15=DEVICE_DEVS15="pdfwrite.dev pswrite.dev epswrite.dev pxlmono.dev pxlcolor.dev"

##
## 
## 
## End drivers
##
##
##

ln -sf unix-gcc.mak makefile
./tar_cat

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" "$D" "$D1" "$D2" "$D3" "$D4" "$D5" "$D6" "$D7" "$D8" "$D9" "$D10" "$D11" "$D12" "$D13" "$D14" "$D15" 

%install
# Delete the build root if it exists
rm -rf $RPM_BUILD_ROOT

# Create the buildroot directories then use them for the install
mkdir -p "$RPM_BUILD_ROOT"/usr/doc
mkdir -p "$RPM_BUILD_ROOT"/usr/local/share/ghostscript/extras

make ROOT="$RPM_BUILD_ROOT"/usr install

# Copy the additional doc dirs to the main docs dir
cp -ar hp8xxs13-docs "$RPM_BUILD_ROOT"/usr/doc/ghostscript-%{PACKAGE_VERSION}
cp -ar hp820-docs "$RPM_BUILD_ROOT"/usr/doc/ghostscript-%{PACKAGE_VERSION}
cp -ar hpdj-docs  "$RPM_BUILD_ROOT"/usr/doc/ghostscript-%{PACKAGE_VERSION}

# Copy devs.mak to the docs dir
cp -a  devs.mak "$RPM_BUILD_ROOT"/usr/doc/ghostscript-%{PACKAGE_VERSION}

# Copy my ghostscript README file to the docs dir
cp -a $RPM_SOURCE_DIR/ghostscript-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.README "$RPM_BUILD_ROOT"/usr/doc/ghostscript-%{PACKAGE_VERSION}

# Strip the gs binary
strip "$RPM_BUILD_ROOT"/usr/bin/gs

# Link the binary and man pages from gs<?> to ghostscript<?>
ln -sf gs "$RPM_BUILD_ROOT"/usr/bin/ghostscript 
ln -sf gs.1 "$RPM_BUILD_ROOT"/usr/man/man1/ghostscript.1

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
# This spec file uses a package specific build root so not specifying 
# each individual file should be fine.
%attr(-, root, root) /usr/man/man1
%attr(-, root, root) /usr/doc/ghostscript-5.10
%attr(-, root, root) /usr/bin
%attr(-, root, root) %dir /usr/share/ghostscript
%attr(-, root, root) %dir /usr/share/ghostscript/5.10
%attr(-, root, root) %config /usr/share/ghostscript/5.10/Fontmap
%attr(-, root, root) /usr/share/ghostscript/5.10/*.*
%attr(-, root, root) %docdir /usr/share/ghostscript/5.10/examples
%attr(-, root, root) /usr/share/ghostscript/5.10/examples

# For the security pdf file
%attr(-, root, root) %dir /usr/local/share
%attr(-, root, root) %dir /usr/local/share/ghostscript
%attr(-, root, root) %dir /usr/local/share/ghostscript/extras
